▼ |  | The Racket Drawing Toolkit

1 | Overview
2 | bitmap%
3 | bitmap-dc%
4 | brush%
5 | brush-list%
6 | color%
7 | color-database<%>
8 | dc<%>
9 | dc-path%
10 | font%
11 | font-list%
12 | font-name-directory<%>
13 | gl-config%
14 | gl-context<%>
15 | linear-gradient%
16 | pdf-dc%
17 | pen%
18 | pen-list%
19 | point%
20 | post-script-dc%
21 | ps-setup%
22 | radial-gradient%
23 | record-dc%
24 | region%
25 | svg-dc%
26 | Drawing Functions
27 | Drawing Contracts
28 | Signature and Unit
29 | Unsafe Libraries
30 | Platform Dependencies
| Bibliography
| Index

► | 28 | Signature and Unit

28.1 | Draw Unit
28.2 | Draw Signature

On this page:

28.1`` Draw Unit
draw@
28.2`` Draw Signature
draw^

top ← prev up next →

### 28`` Signature and Unit

The racket/draw/draw-sig and racket/draw/draw-unit libraries define the draw^ signature and draw@ implementation.

#### 28.1`` Draw Unit

(require racket/draw/draw-unit)

> > value

> > draw@ : unit?

Re-exports all of the exports of racket/draw.

#### 28.2`` Draw Signature

(require racket/draw/draw-sig)

> > signature

> > draw^ : signature

Includes all of the identifiers exported by racket/draw.

top ← prev up next →